export DOCKER_BUILDKIT=1

.PHONY: loader
loader:  ## build the loader in docker (linux)
	docker build -o . .

.PHONY: ftdi-unbind
ftdi-unbind:  ## unbind the ftdi-sio devices on linux (uses sudo)
	sh -c "cd /sys/bus/usb/drivers/ftdi_sio && \
	for dev in *:*; do \
		echo \$$dev | sudo tee unbind ; \
	done"

.PHONY: clean
clean:
	rm -rf loader $(objects)

.PHONY: help
help:           ## Show this help
	@echo Noteworthy targets:
	@egrep '^[a-zA-Z_-]+:.*?## .*$$' $(firstword $(MAKEFILE_LIST)) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'
.DEFAULT_GOAL := help
